import { drizzle } from "drizzle-orm/postgres-js";
import postgres from "postgres";
import dotenv from "dotenv";

dotenv.config();

const database = process.env.DATABASE_URL || "";

const queryClient = postgres(database, {
    max: 10,
    idle_timeout: 60,
    connect_timeout: 10,
    max_lifetime: 1000 * 60 * 5,
    onnotice: (notice) => {
        console.log("PG NOTICE:", notice.message);
    },
    // debug: (...args) => {
    //     console.log("QUERY DEBUG:", ...args);
    // },
});

export const db = drizzle({ client: queryClient });
